
//Upravljam koracnim motorom pomocu jednog tastera

# define ENA  51 //ENA-(ENA) stepper motor enable , active low      
# define DIR 52 //DIR axis stepper motor direction control 
# define STEP 53// axis stepper motor step control
int MoveSpeed=1; //step in mislisekundama

byte tasterPin=34;
byte taster2Pin=36;
bool taster=false;
bool taster2=false;
bool Okreci=false;
bool smer=1;

void setup() {
  
  // Sets the two pins as Outputs
  pinMode(STEP,OUTPUT); 
  pinMode(DIR,OUTPUT);

  pinMode(ENA,OUTPUT);
  digitalWrite(DIR,HIGH); // Enables the motor to move in a particular direction
  delay(300);
  digitalWrite(DIR,LOW);
  digitalWrite(ENA,HIGH);
  pinMode(tasterPin,INPUT);
  pinMode(taster2Pin,INPUT);
  
  Serial.begin(9600);
  
}//setup


void loop() {
  taster=digitalRead(tasterPin);
    
  if (taster) {
    delay(300);
    Okreci=!Okreci;
    smer=!smer;
  }//if
  taster2=digitalRead(taster2Pin);
  if (taster2) {
    Serial.println(smer);
    digitalWrite(DIR,!smer);
    
    delay(300);
  }
  Serial.println(Okreci);

  Motor1(Okreci);
  delay(100);
}//loop




void Motor1(bool Okreci){
 
  if (Okreci){
    
    digitalWrite(ENA,LOW);
    digitalWrite(STEP,HIGH); 
    delay(MoveSpeed); 
    digitalWrite(STEP,LOW);
    delay(1*MoveSpeed); 
   
  } else {
      //Serial.println(Okreci);
      digitalWrite(ENA,HIGH);
      digitalWrite(STEP,LOW);
  }//if
  
}//Motor1
